#### 简要描述：

- 用户验证接口，获取系统Token

#### 接口版本：
|版本号|制定人|制定日期|修订日期|
|:----    |:---|:----- |-----   |
|2.0.0 |lenny  |2020-06-20 |  2020-06-20 |

#### 请求URL:

- 测试环境地址：http://120.25.245.20:8092/OpenApi/login
- 生产环境地址：http://cloud.assetscontrols.com:8092/OpenApi/login

#### 请求方式：

- POST
#### 请求头：

|参数名|是否必须|类型|说明|
|:----    |:---|:----- |-----   |
|Content-Type |是  |string |请求类型： application/json   |

#### 请求参数:

|参数名|是否必须|类型|说明|
|:----    |:---|:----- |-----   |
|FUserName|是|string|用户名|
|FPassword|是|string|密码 (MD5(32))|

#### 返回示例:

**正确时返回:**

```xml
{
    "Result": 200,
    "Message":"success",
    "FObject": [{
        "FUserName": "admin",
        "FUserGUID": "63C399BD-2A0B-40E9-857D-6DEBF4908F92",
        "FTokenID": "DB7F20D9-84C3-44C3-B05A-06A9C392A189",
        "FExpireTime": "2020-07-30T08:00:00"
    }]
}
```

**错误时返回:**

```xml
{
    "Result": 103,
    "Message": "userName or password is error",
    "FObject": null
}
```

#### 返回参数说明:

|参数名|类型|说明|
|:-----  |:-----|-----|
|FUserName|String|用户名|
|FUserGUID|String|用户唯一标识|
|FTokenID|String|身份唯一标识（后面请求接口均需要以此作为身份验证）|
|FExpireTime|DateTime|账户过期时间（UTC时间，转成北京时间需要+8小时）|

#### 备注:
- 更多返回错误代码如下：
- 106：账户过期
- 103：用户名或者密码错误
- 102：请求参数错误

#### 请求示例:

**Java:**

```java
String result = "";
//请求路径
String url = "http://cloud.assetscontrols.com:8092/OpenApi/login";  
//请求参数 ,json格式参数，建议用对象传入
String body = "{FUserName:\"admin\",FPassword:\"E10ADC3949BA59ABBE56E057F20F883E\"}";  
URL realUrl = new URL(url);
// 设置通用请求的属性
URLConnection conn = realUrl.openConnection(); 
conn.setRequestProperty("accept", "*/*");
conn.setRequestProperty("connection", "keep-Alive");
conn.setRequestProperty("Content-Type", "application/json");
conn.setRequestProperty("user-agent", "Mozilla/4.0 (compatible; MSIE 6.0; Windows NT 5.1;SV1)");
conn.setRequestProperty("method", "post");
// 发送POST请求必须设置如下两行
conn.setDoOutput(true);
conn.setDoInput(true);
PrintWriter pw = new PrintWriter(conn.getOutputStream());
// 发送请求参数
pw.print(body);
// flush输出流的缓冲  
pw.flush();   
// 定义BufferedReader输入流来读取URL的响应
BufferedReader bufReader = new BufferedReader(new InputStreamReader(conn.getInputStream()));  
// 定义BufferedReader输入流来读取URL的响应
String line;
while ((line = bufReader.readLine()) != null) {
     result += line;        
 }
//返回的是json字符串
return result;
```

**C#(.NET):**

```csharp
//请求路径
string url = "http://cloud.assetscontrols.com:8092/OpenApi/login";  
//请求参数 ,json格式参数，建议用对象传入
string body = "{FUserName:\"admin\",FPassword:\"E10ADC3949BA59ABBE56E057F20F883E\"}"; 
Encoding encoding = Encoding.UTF8;
HttpWebRequest request = (HttpWebRequest)WebRequest.Create(url);
 //请求方式 post / get
request.Method = "post"; 
request.Accept = "*/*";    
request.ContentType = "application/json";
request.UserAgent = "Mozilla/4.0 (compatible; MSIE 6.0; Windows NT 5.1)";
byte[] buffer = encoding.GetBytes(body);
request.ContentLength = buffer.Length;
request.GetRequestStream().Write(buffer, 0, buffer.Length);
HttpWebResponse response = (HttpWebResponse)request.GetResponse();
using (StreamReader reader = new StreamReader(response.GetResponseStream(), Encoding.UTF8))
{
    //返回的是json字符串
    return reader.ReadToEnd();
}
```

**Python：**

````python
url = 'http://cloud.assetscontrols.com:8092/OpenApi/login'
      data = {
      'FUserName': 'admin',
      'FPassword': 'E10ADC3949BA59ABBE56E057F20F883E'
       }
      data = parse.urlencode(data).encode('utf-8')
      headers = {
       'User-Agent': r'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) '
                     r'Chrome/45.0.2454.85 Safari/537.36 115Browser/6.0.3',
       'Connection': 'keep-alive'
       }
      req = request.Request(url, headers=headers, data=data)  
      page = request.urlopen(req).read()
      page = page.decode('utf-8')
      return page;
````