#### 简要描述：

- 箱号与设备绑定

#### 接口版本：

|版本号|制定人|制定日期|修订日期|
|:----    |:---|:----- |-----   |
|2.0.0 |lenny  |2022-06-20 |   |

#### 请求URL:

- 测试环境地址：http://120.25.245.20:8092/OpenApi/YouPei
- 生产环境地址：http://cloud.assetscontrols.com:8092/OpenApi/YouPei

#### 请求方式：

- POST

#### 请求头：

|参数名|是否必须|类型|说明|
|:----    |:---|:----- |-----   |
|Content-Type |是  |string |请求类型： application/json   |


#### 请求参数:

|参数名|是否必须|类型|说明|
|:----    |:---|:----- |-----   |
|FTokenID |是  |string |令牌ID   |
|FAction |是  |string |方法名  (UpdateAssetBindContainer) |
|ListAssetBindingInfo |是  |对象 |设备绑定信息，参数例举 [{ FAssetID: "709555544444", FVehicleName: "548789115", FSONo:"20220624"，FCompanyName:"久通科技"，FCTName:"柜型"},{ FAssetID: "709555544443", FVehicleName: "9133", FSONo:"20220508"，FCompanyName:"久通科技"，FCTName:"柜型"},{  FAssetID: "709555544343", FVehicleName: "9133", FSONo:"20220508"，FCompanyName:"久通科技"，FCTName:"柜型"}]|

#### PostMan请求示例

![](/uploads/aKYxxkk765_YouPei/images/m_a0f62ac4ea6c7f5d358ba7b2700e7004_r.png)

#### 返回示例:

**正确时返回:**

```
{
    "Result": 200,
    "Message": "check token success",
    "FObject": [
        {
            "FAssetID": "709555544444",
            "FResult": {
                "Result": 200,
                "Message": "success",
                "FObject": null
            }
        },
        {
            "FAssetID": "709555544443",
            "FResult": {
                "Result": 200,
                "Message": "success",
                "FObject": null
            }
        },
        {
            "FAssetID": "709555544343",
            "FResult": {
                "Result": 112,
                "Message": "without this assetid",
                "FObject": null
            }
        }
    ]
}
```

**错误时返回:**


```
{
    "Result": 102,
    "Message": "Action is error",
    "FObject": []
}

```

#### 返回参数说明:

|参数名|类型|说明|
|:-----  |:-----|-----|

#### 备注:

- 更多返回错误代码如下：
- 104：token错误或过期
- 105：系统异常
- 102：请求参数错误
- 112：无此设备

#### 请求示例:

**Java:**
```
String result = "";
//请求路径
String url = "http://cloud.assetscontrols.com:8092/OpenApi/YouPei";  
//请求参数 ,json格式参数，建议用对象传入
String body = "{FAction:\"UpdateAssetBindContainer\",FTokenID:\"3acef045-d302-4032-b40a-d9ee6c1519cd\"}";  
URL realUrl = new URL(url);
// 设置通用请求的属性
URLConnection conn = realUrl.openConnection(); 
conn.setRequestProperty("accept", "*/*");
conn.setRequestProperty("connection", "keep-Alive");
conn.setRequestProperty("Content-Type", "application/json");
conn.setRequestProperty("user-agent", "Mozilla/4.0 (compatible; MSIE 6.0; Windows NT 5.1;SV1)");
conn.setRequestProperty("method", "post");
// 发送POST请求必须设置如下两行
conn.setDoOutput(true);
conn.setDoInput(true);
PrintWriter pw = new PrintWriter(conn.getOutputStream());
// 发送请求参数
pw.print(body);
// flush输出流的缓冲  
pw.flush();   
// 定义BufferedReader输入流来读取URL的响应
BufferedReader bufReader = new BufferedReader(new InputStreamReader(conn.getInputStream()));  
// 定义BufferedReader输入流来读取URL的响应
String line;
while ((line = bufReader.readLine()) != null) {
     result += line;        
 }
//返回的是json字符串
return result;
```

**C#：**
```
//请求路径
string url = "http://cloud.assetscontrols.com:8092/OpenApi/YouPei";  
//请求参数 ,json格式参数，建议用对象传入
string body = "{FAction:\"UpdateAssetBindContainer\",FTokenID:\"3acef045-d302-4032-b40a-d9ee6c1519cd\"}"; 
Encoding encoding = Encoding.UTF8;
HttpWebRequest request = (HttpWebRequest)WebRequest.Create(url);
 //请求方式 post / get
request.Method = "post"; 
request.Accept = "*/*";    
request.ContentType = "application/json";
request.UserAgent = "Mozilla/4.0 (compatible; MSIE 6.0; Windows NT 5.1)";
byte[] buffer = encoding.GetBytes(body);
request.ContentLength = buffer.Length;
request.GetRequestStream().Write(buffer, 0, buffer.Length);
HttpWebResponse response = (HttpWebResponse)request.GetResponse();
using (StreamReader reader = new StreamReader(response.GetResponseStream(), Encoding.UTF8))
{
	//返回的是json字符串
    return reader.ReadToEnd();
}
```

**Python：**
```python
url = 'http://cloud.assetscontrols.com:8092/OpenApi/YouPei'
      data = {
      'FAction': 'UpdateAssetBindContainer',
      'FTokenID': '3acef045-d302-4032-b40a-d9ee6c1519cd'
       }
      data = parse.urlencode(data).encode('utf-8')
      headers = {
       'User-Agent': r'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) '
                     r'Chrome/45.0.2454.85 Safari/537.36 115Browser/6.0.3',
       'Connection': 'keep-alive'
       }
      req = request.Request(url, headers=headers, data=data)  
      page = request.urlopen(req).read()
      page = page.decode('utf-8')
      # json_array = json.loads(page)
      return page;
```