#### 简要描述：

- 新增查询参数

#### 接口版本：

|版本号|制定人|制定日期|修订日期|
|:----    |:---|:----- |-----   |
|2.0.0 |lenny  |2022-06-20 |   |

#### 请求URL:

- 测试环境地址：http://120.25.245.20:8092/OpenApi/YouPei
- 生产环境地址：http://cloud.assetscontrols.com:8092/OpenApi/YouPei

#### 请求方式：

- POST

#### 请求头：

|参数名|是否必须|类型|说明|
|:----    |:---|:----- |-----   |
|Content-Type |是  |string |请求类型： application/json   |


#### 请求参数:

|参数名|是否必须|类型|说明|
|:----    |:---|:----- |-----   |
|FTokenID |是  |string |令牌ID   |
|FAction |是  |string |方法名  (AddPostParams) |
|FDateTime|是 |dateTime|有效时间（UTC时间）|
|FParameters |是  |string |查询参数（Json字符串），参数说明:  FAssetID：设备号 ; FStartTime：查询开始时间（UTC时间）；FEndTime：查询结束时间（UTC时间）;FSONo:提单号;FDepLatLong:开始经纬度;FDesLable:开始地址;FDesLatLong:目的地经纬度;FDepLable:目的地地址。 针对实时监控，如果是空字符串，则查询所有；   实时监控对象举例：[{"FAssetID":"709555544444", FSONo:"20220624"},{"FAssetID":"776210509963", FSONo:"20220625"},{"FAssetID":"82039200023", FSONo:"20220624"}] ; 实时监控查询所有举例："-1"  轨迹回放对象举例：[{"FAssetID":"776210509941","FStartTime":"2022-06-23 00:09:52","FEndTime":"2022-06-24 00:09:52","FDepLatLong"："22.456123,113.456128","FDepLable":"上海","FDesLatLong"："-22.456123,113.456128","FDesLable":"钮约", FSONo:"20220625"},{"FAssetID":"776210509942","FStartTime":"2022-06-23 00:09:52","FEndTime":"2022-06-24 00:09:52","FDepLatLong"："22.456123,113.456128","FDepLable":"上海","FDesLatLong"："-22.456123,113.456128","FDesLable":"钮约", FSONo:"20220625"}]|

#### 返回示例:

**正确时返回:**

```
{
    "Result": 200,
    "Message": "check token success",
    "FObject": {
        "FKey": "ec2b1b2a-21af-4975-9b1d-fc56c03696dd"
    }
}
```

**错误时返回:**


```
{
    "Result": 102,
    "Message": "Action is error",
    "FObject": []
}
```

#### 返回参数说明:

|参数名|类型|说明|
|:-----  |:-----|-----|
|FKey |String   |参数唯一标识  |

#### 备注:

- 更多返回错误代码如下：
- 104：token错误或过期
- 105：系统异常
- 102：请求参数错误

#### 请求示例:

**Java:**
```
String result = "";
//请求路径
String url = "http://cloud.assetscontrols.com:8092/OpenApi/YouPei";  
//请求参数 ,json格式参数，建议用对象传入
String body = "{FAction:\"AddPostParams\",FTokenID:\"3acef045-d302-4032-b40a-d9ee6c1519cd\"，FParameters："{\"FAssetID\":\"709555544444,709555544443,709555544442\"}"}";  
URL realUrl = new URL(url);
// 设置通用请求的属性
URLConnection conn = realUrl.openConnection(); 
conn.setRequestProperty("accept", "*/*");
conn.setRequestProperty("connection", "keep-Alive");
conn.setRequestProperty("Content-Type", "application/json");
conn.setRequestProperty("user-agent", "Mozilla/4.0 (compatible; MSIE 6.0; Windows NT 5.1;SV1)");
conn.setRequestProperty("method", "post");
// 发送POST请求必须设置如下两行
conn.setDoOutput(true);
conn.setDoInput(true);
PrintWriter pw = new PrintWriter(conn.getOutputStream());
// 发送请求参数
pw.print(body);
// flush输出流的缓冲  
pw.flush();   
// 定义BufferedReader输入流来读取URL的响应
BufferedReader bufReader = new BufferedReader(new InputStreamReader(conn.getInputStream()));  
// 定义BufferedReader输入流来读取URL的响应
String line;
while ((line = bufReader.readLine()) != null) {
     result += line;        
 }
//返回的是json字符串
return result;
```

**C#：**
```
//请求路径
string url = "http://cloud.assetscontrols.com:8092/OpenApi/YouPei";  
//请求参数 ,json格式参数，建议用对象传入
string body = "{FAction:\"AddPostParams\",FTokenID:\"3acef045-d302-4032-b40a-d9ee6c1519cd\"，FParameters："{\"FAssetID\":\"709555544444,709555544443,709555544442\"}"}"; 
Encoding encoding = Encoding.UTF8;
HttpWebRequest request = (HttpWebRequest)WebRequest.Create(url);
 //请求方式 post / get
request.Method = "post"; 
request.Accept = "*/*";    
request.ContentType = "application/json";
request.UserAgent = "Mozilla/4.0 (compatible; MSIE 6.0; Windows NT 5.1)";
byte[] buffer = encoding.GetBytes(body);
request.ContentLength = buffer.Length;
request.GetRequestStream().Write(buffer, 0, buffer.Length);
HttpWebResponse response = (HttpWebResponse)request.GetResponse();
using (StreamReader reader = new StreamReader(response.GetResponseStream(), Encoding.UTF8))
{
	//返回的是json字符串
    return reader.ReadToEnd();
}
```

**Python：**
```python
url = 'http://cloud.assetscontrols.com:8092/OpenApi/YouPei'
      data = {
      'FAction': 'AddPostParams',
      'FTokenID': '3acef045-d302-4032-b40a-d9ee6c1519cd'
	  'FParameters': '{\"FAssetID\":\"709555544444,709555544443,709555544442\"}'
       }
      data = parse.urlencode(data).encode('utf-8')
      headers = {
       'User-Agent': r'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) '
                     r'Chrome/45.0.2454.85 Safari/537.36 115Browser/6.0.3',
       'Connection': 'keep-alive'
       }
      req = request.Request(url, headers=headers, data=data)  
      page = request.urlopen(req).read()
      page = page.decode('utf-8')
      # json_array = json.loads(page)
      return page;
```