#### 简要描述：

- 按Key查询轨迹信息

#### 接口版本：

|版本号|制定人|制定日期|修订日期|
|:----    |:---|:----- |-----   |
|2.0.0 |lenny  |2022-06-30 |   |

#### 请求URL:

- 测试环境地址：http://120.25.245.20:8092/OpenApi/YouPei
- 生产环境地址：http://cloud.assetscontrols.com:8092/OpenApi/YouPei

#### 请求方式：

- POST

#### 请求头：

|参数名|是否必须|类型|说明|
|:----    |:---|:----- |-----   |
|Content-Type |是  |string |请求类型： application/json   |


#### 请求参数:

|参数名|是否必须|类型|说明|
|:----    |:---|:----- |-----   |
|FTokenID |是  |string |令牌ID   |
|FAction |是  |string |方法名  (UpdateAssetBindContainer) |
|FKey |是  |string |Post参数唯一标识 |

#### PostMan请求示例

![](/uploads/aKYxxkk765_YouPei/images/m_a0f62ac4ea6c7f5d358ba7b2700e7004_r.png)

#### 返回示例:

**正确时返回:**

```
{
    "Result": 200,
    "Message": "check token success",
    "FObject": {
        "ListMonitor": [
            {
                "ID": "709555544444",
                "Lon": 113.448120117188,
                "Lat": 23.181583404541,
                "Speed": 0,
                "Dir": 0,
                "Mil": 0,
                "GT": "2022-06-28T02:10:03Z",
                "RT": "2022-06-28T07:04:04.655Z",
                "LType": 3,
                "Lock": {
                    "CS": 21,
                    "GS": 0,
                    "MNC": 0,
                    "MCC": 460,
                    "LAC": 9475,
                    "CID": 48646,
                    "Bat": 94,
                    "LR": 0,
                    "LS": 0,
                    "Temp": "",
                    "Hum": "",
                    "BB": null,
                    "RS": 0,
                    "Volt": 3.3
                },
                "Vehicle": null,
                "Locator": null,
                "Goods": null,
                "Bucket": null
            },
            {
                "ID": "776210509963",
                "Lon": 113.448120117188,
                "Lat": 23.181583404541,
                "Speed": 0,
                "Dir": 0,
                "Mil": 0,
                "GT": "2022-06-28T02:03:11Z",
                "RT": "2022-06-28T06:59:19.121Z",
                "LType": 3,
                "Lock": {
                    "CS": 24,
                    "GS": 0,
                    "MNC": 0,
                    "MCC": 460,
                    "LAC": 9475,
                    "CID": 48646,
                    "Bat": 94,
                    "LR": 0,
                    "LS": 0,
                    "Temp": "25.0℃",
                    "Hum": "",
                    "BB": null,
                    "RS": 0,
                    "Volt": 3.2
                },
                "Vehicle": null,
                "Locator": null,
                "Goods": null,
                "Bucket": null
            }
        ],
        "ListAssettTree": [
            {
                "FGUID": "86617683-92f6-40a7-a471-79979b186a30",
                "FGUID2": "b740c8d4-1fa2-4fe1-897c-306cda25267b",
                "FChild": null,
                "FName": "548789115",
                "SName": "709555544444[548789115]",
                "FNType": 2,
                "AGUID": "0496accc-9604-4340-9190-c48bb280dd82",
                "AName": "优配测试",
                "GName": null,
                "FACount": 0,
                "FVCount": 0,
                "TD": 0,
                "FCID": "",
                "FCar": {
                    "GUID": "b740c8d4-1fa2-4fe1-897c-306cda25267b",
                    "ID": "709555544444",
                    "Type": "1709",
                    "Cfy": "1",
                    "Ble": 1,
                    "TName": "JT709A",
                    "Video": 0,
                    "Fuel": 0,
                    "SubAsset": 0,
                    "Temp": 0,
                    "Fence": "0",
                    "VIT": "0"
                },
                "FSONo": "20220624"
            },
            {
                "FGUID": "66da8a50-f9a6-43fb-a6ba-b1d606c590b0",
                "FGUID2": "3159cd2b-8f06-475c-ae7e-d3b7bac5d6d4",
                "FChild": null,
                "FName": "776210509963",
                "SName": "776210509963[776210509963]",
                "FNType": 2,
                "AGUID": "0496accc-9604-4340-9190-c48bb280dd82",
                "AName": "优配测试",
                "GName": null,
                "FACount": 0,
                "FVCount": 0,
                "TD": 0,
                "FCID": "",
                "FCar": {
                    "GUID": "3159cd2b-8f06-475c-ae7e-d3b7bac5d6d4",
                    "ID": "776210509963",
                    "Type": "2707",
                    "Cfy": "8",
                    "Ble": 0,
                    "TName": "JT707C",
                    "Video": 0,
                    "Fuel": 0,
                    "SubAsset": 0,
                    "Temp": 0,
                    "Fence": "0",
                    "VIT": "0"
                },
                "FSONo": "78945643"
            }
        ]
    }
}
```

**错误时返回:**


```
{
    "Result": 102,
    "Message": "Action is error",
    "FObject": []
}

```

#### 返回参数说明:

|参数名|类型|说明|
|:-----  |:-----|-----|
|ListMonitor |对象 | [ { "ID": 设备号,   "Lon": 经度,"Lat": 纬度, "Speed": 速度,"Dir": 方向,"Mil": 里程,"GT": 定位时间（UTC时间，转成北京时间需要+8小时）, "RT": 数据接收时间（UTC时间，转成北京时间需要+8小时）, "LType": 定位类型 1:卫星定位 2:基站定位 3:小区码定位 4:手机定位 0:不定位,"Lock": { "CS": 网络信息,  "GS": 0, "MNC": 0,  "MCC": 460, "LAC": 9475,"CID": 48646,"Bat": 94,"LR": 0,"LS": 0, "Temp": "","Hum": "","BB": null,"RS": 0,"Volt": 3.3 },"Vehicle": null,"Locator": null,  "Goods": null, "Bucket": null   },  ...] |
|ListAssettTree |对象 | [            {                "FGUID": "86617683-92f6-40a7-a471-79979b186a30",                "FGUID2": "b740c8d4-1fa2-4fe1-897c-306cda25267b",                "FChild": null,                "FName": "548789115",                "SName": "709555544444[548789115]",                "FNType": 2,                "AGUID": "0496accc-9604-4340-9190-c48bb280dd82",                "AName": "优配测试",                "GName": null,                "FACount": 0,                "FVCount": 0,                "TD": 0,                "FCID": "",                "FCar": {                    "GUID": "b740c8d4-1fa2-4fe1-897c-306cda25267b",                    "ID": "709555544444",                    "Type": "1709",                    "Cfy": "1",                    "Ble": 1,                    "TName": "JT709A",                    "Video": 0,                    "Fuel": 0,                    "SubAsset": 0,                    "Temp": 0,                    "Fence": "0",                    "VIT": "0"                },                "FSONo": "20220624"            },...        ] |


#### 备注:

- 更多返回错误代码如下：
- 104：token错误或过期
- 105：系统异常
- 102：请求参数错误
- 112：无此设备

#### 请求示例:

**Java:**
```
String result = "";
//请求路径
String url = "http://cloud.assetscontrols.com:8092/OpenApi/YouPei";  
//请求参数 ,json格式参数，建议用对象传入
String body = "{FAction:\"QueryLBSMonitorListByFKey\",FTokenID:\"3acef045-d302-4032-b40a-d9ee6c1519cd\",FKey:\"50E74534-4071-4075-AC9D-2DFF86DA37EA\"}";  
URL realUrl = new URL(url);
// 设置通用请求的属性
URLConnection conn = realUrl.openConnection(); 
conn.setRequestProperty("accept", "*/*");
conn.setRequestProperty("connection", "keep-Alive");
conn.setRequestProperty("Content-Type", "application/json");
conn.setRequestProperty("user-agent", "Mozilla/4.0 (compatible; MSIE 6.0; Windows NT 5.1;SV1)");
conn.setRequestProperty("method", "post");
// 发送POST请求必须设置如下两行
conn.setDoOutput(true);
conn.setDoInput(true);
PrintWriter pw = new PrintWriter(conn.getOutputStream());
// 发送请求参数
pw.print(body);
// flush输出流的缓冲  
pw.flush();   
// 定义BufferedReader输入流来读取URL的响应
BufferedReader bufReader = new BufferedReader(new InputStreamReader(conn.getInputStream()));  
// 定义BufferedReader输入流来读取URL的响应
String line;
while ((line = bufReader.readLine()) != null) {
     result += line;        
 }
//返回的是json字符串
return result;
```

**C#：**
```
//请求路径
string url = "http://cloud.assetscontrols.com:8092/OpenApi/YouPei";  
//请求参数 ,json格式参数，建议用对象传入
string body = "{FAction:\"UpdateAssetBindContainer\",FTokenID:\"3acef045-d302-4032-b40a-d9ee6c1519cd\",FKey:\"50E74534-4071-4075-AC9D-2DFF86DA37EA\"}"; 
Encoding encoding = Encoding.UTF8;
HttpWebRequest request = (HttpWebRequest)WebRequest.Create(url);
 //请求方式 post / get
request.Method = "post"; 
request.Accept = "*/*";    
request.ContentType = "application/json";
request.UserAgent = "Mozilla/4.0 (compatible; MSIE 6.0; Windows NT 5.1)";
byte[] buffer = encoding.GetBytes(body);
request.ContentLength = buffer.Length;
request.GetRequestStream().Write(buffer, 0, buffer.Length);
HttpWebResponse response = (HttpWebResponse)request.GetResponse();
using (StreamReader reader = new StreamReader(response.GetResponseStream(), Encoding.UTF8))
{
	//返回的是json字符串
    return reader.ReadToEnd();
}
```

**Python：**
```python
url = 'http://cloud.assetscontrols.com:8092/OpenApi/YouPei'
      data = {
      'FAction': 'UpdateAssetBindContainer',
      'FTokenID': '3acef045-d302-4032-b40a-d9ee6c1519cd'
	  'FKey': '50E74534-4071-4075-AC9D-2DFF86DA37EA'
       }
      data = parse.urlencode(data).encode('utf-8')
      headers = {
       'User-Agent': r'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) '
                     r'Chrome/45.0.2454.85 Safari/537.36 115Browser/6.0.3',
       'Connection': 'keep-alive'
       }
      req = request.Request(url, headers=headers, data=data)  
      page = request.urlopen(req).read()
      page = page.decode('utf-8')
      # json_array = json.loads(page)
      return page;
```